using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EQNetwork.Objects;
using EQNetwork.Utility;

namespace EQNetwork.Interfaces
{
    public partial interface IRequestService
    {
        void Accept(Guid requestGuid);
        void Confirm(Guid requestGuid);
        RequestMessage Create(RequestContext requestContext);
        void Decline(Guid requestGuid);
        void Delete(Guid requestGuid);
        List<Request> ListRequestsForCollection(int collectionId);
        List<Request> ListRequestsForCollection(Guid collectionGuid);
        List<Request> ListRequestsForUser(int userId);
        List<Request> ListRequestsToMe(List<Db.RequestType> requestTypes, bool? all);
        Guid GetCollectionRequestGuid(int collectionId);
        void Update(Guid requestGuid);
    }
}
